Commit ce2707d4 authored by J.H.M. Dassen (Ray)'s avatar J.H.M. Dassen (Ray)

Updated debianisation

parent 9594e4f9
gnumeric (1.6.3-4) unstable; urgency=low
* Pulled in core code and translation changes from upstream CVS branch.
* Backported packaging improvements from the 1.7.x packages in experimental,
including:
* Follow new python policy. (Closes: #380831)
* [debian/control] Made lists in package descriptions render nicely in
aptitude (Closes: #389140)
* [debian/po/ja.po] Added, courtesy of Shimono Atsushi
<shimono@kwasan.kyoto-u.ac.jp>. (Closes: ##384994).
* [debian/gnumeric.mime] Add text/csv in whose favour
text/comma-separated-values has been depreciated in RFC 4180.
(Closes: #394053)
-- J.H.M. Dassen (Ray) <jdassen@debian.org> Sun, 22 Oct 2006 17:42:30 +0200
gnumeric (1.6.3-3) unstable; urgency=low
* [debian/po/lt.po] Added, courtesy of Gintautas Miliauskas <gintas@akl.lt>.
......
......@@ -2,8 +2,8 @@ Source: gnumeric
Section: math
Priority: optional
Maintainer: J.H.M. Dassen (Ray) <jdassen@debian.org>
Build-Depends: debhelper (>= 4.2.21), dh-buildinfo, po-debconf,
gettext, bison, flex, scrollkeeper, libxml-parser-perl,
Build-Depends: debhelper (>= 5.0.37.2), python-central (>= 0.5), dh-buildinfo,
po-debconf, gettext, bison, flex, scrollkeeper, libxml-parser-perl,
zlib1g-dev, libglib2.0-dev (>= 2.6.0), libgsf-1-dev (>= 1.14.0-1),
libgoffice-1-dev (>= 0.2.1), libxml2-dev (>= 2.6.10-2),
libpango1.0-dev (>= 1.8.1),
......@@ -15,8 +15,8 @@ Build-Depends: debhelper (>= 4.2.21), dh-buildinfo, po-debconf,
libgnome2-dev (>= 2.4.0-2), libgnomeui-dev (>= 2.4.0-2),
libgsf-gnome-1-dev (>= 1.13.2),
pxlib-dev (>= 0.5.1-2+b1), libperl-dev,
python2.3-dev, python-gtk2-dev
Standards-Version: 3.6.1
python-dev, python-gtk2-dev
Standards-Version: 3.7.2
Package: gnumeric
Architecture: any
......@@ -24,28 +24,30 @@ Depends: ${shlibs:Depends}, gsfonts, gnumeric-common (= ${Source-Version}), ${mi
Suggests: gnumeric-doc (>= ${Upstream-Version}), gnumeric-plugins-extra
Conflicts: gnumeric1.0, gnumeric1.0-doc, gnumeric-doc (<< ${Upstream-Version})
Replaces: zh-trans (<< 0.8-1), gnumeric1.0
XS-Python-Version: current
XB-Python-Version: ${python:Versions}
Description: GNOME spreadsheet application
Gnumeric is a powerful spreadsheet application that interoperates well
with other spreadsheets. It comes with plugins that enable it to deal with
commonly used spreadsheet file formats.
.
The following formats can be imported and exported:
o Microsoft Excel (tm) 97/2000/XP (.xls)
o Microsoft Excel (tm) 95 (.xls)
o OASIS XML, OpenOffice.org XML, StarOffice (.sxc)
o Comma/Character Separated Values (.csv)
o Data Interchange Format (.dif)
o Applix version 4 (.as)
* Microsoft Excel (tm) 97/2000/XP (.xls)
* Microsoft Excel (tm) 95 (.xls)
* OASIS XML, OpenOffice.org XML, StarOffice (.sxc)
* Comma/Character Separated Values (.csv)
* Data Interchange Format (.dif)
* Applix version 4 (.as)
.
Additionally, the following formats can be imported:
o GNU Oleo (.oleo)
o Linear and integer program expression format (.mps)
o Lotus 123 (.wks, .wk1)
o MultiPlan (.sylk)
o Plan Perfect (.pln)
o Quatro Pro (tm)
o SC/XSpread
o XBase (.dbf),
* GNU Oleo (.oleo)
* Linear and integer program expression format (.mps)
* Lotus 123 (.wks, .wk1)
* MultiPlan (.sylk)
* Plan Perfect (.pln)
* Quatro Pro (tm)
* SC/XSpread
* XBase (.dbf),
.
Gnumeric can export to LaTeX 2e (.tex), TROFF (.me) and HTML as well.
.
......@@ -67,7 +69,7 @@ Package: gnumeric-doc
Architecture: all
Section: doc
Recommends: yelp (>= 2.6.0), gnome-desktop-data
Suggests: gnumeric (>= ${Upstream-Version})
Suggests: gnumeric (>= ${Upstream-Version}), docbook-xsl
Conflicts: gnumeric1.0-doc
Replaces: gnumeric (<< 1.1.17-2), gnumeric1.0-doc, docbook-xsl
Description: documentation for Gnumeric, the GNOME spreadsheet application
......@@ -75,17 +77,19 @@ Description: documentation for Gnumeric, the GNOME spreadsheet application
Package: gnumeric-plugins-extra
Architecture: any
Depends: gnumeric (= ${Source-Version}), python-gtk2, ${shlibs:Depends}
Depends: gnumeric (= ${Source-Version}), python-gtk2, ${python:Depends}, ${shlibs:Depends}
Conflicts: gnumeric1.0-python, gnumeric1.0-gda, gnumeric-python, gnumeric-gda
Replaces: gnumeric1.0-gda, gnumeric1.0-python, gnumeric-python, gnumeric-gda, gnumeric (<= 1.3.92-1)
XS-Python-Version: current
XB-Python-Version: ${python:Versions}
Description: additional plugins for the GNOME spreadsheet
Gnumeric ships with a number of plugins; this package contains those
plugins that require additional packages above what the 'gnumeric' package
needs.
.
This includes
o The Perl plugin
o The Python plugin
o The Python plugin loader
o Additional Python functions
o The Gnome glossary
* The Perl plugin
* The Python plugin
* The Python plugin loader
* Additional Python functions
* The Gnome glossary
......@@ -7,5 +7,6 @@
/usr/lib/gnumeric/*/plugins/*/*.so
/usr/lib/gnumeric/*/plugins/*/*.xml
/usr/lib/libspreadsheet-*.so*
/usr/lib/libspreadsheet.so
/usr/share/gnumeric/*/GNOME_Gnumeric-gtk.xml
/usr/share/man/man*/*
application/x-gnumeric; gnumeric '%s'; edit=gnumeric '%s'; compose=gnumeric '%s'; description="Gnumeric spreadsheet"; test=test -n "$DISPLAY"; nametemplate=%s.gnumeric
text/csv; gnumeric '%s'; edit=gnumeric '%s'; description="Comma Separated Values"; test=test -n "$DISPLAY"; nametemplate=%s.csv
text/comma-separated-values; gnumeric '%s'; edit=gnumeric '%s'; description="Comma Separated Values"; test=test -n "$DISPLAY"; nametemplate=%s.csv
application/vnd.ms-excel; gnumeric '%s'; edit=gnumeric '%s'; description="MS Excel spreadsheet"; test=test -n "$DISPLAY"; nametemplate=%s.xls
application/vnd.sun.xml.calc; gnumeric '%s'; edit=gnumeric '%s'; description="OpenOffice.org Calc spreadsheet"; test=test -n "$DISPLAY"; nametemplate=%s.sxc
......
# SOME DESCRIPTIVE TITLE.
# Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
# This file is distributed under the same license as the PACKAGE package.
# FIRST AUTHOR <EMAIL@ADDRESS>, YEAR.
#
msgid ""
msgstr ""
"Project-Id-Version: gnumeric_1.6.3-2\n"
"Report-Msgid-Bugs-To: jdassen@debian.org\n"
"POT-Creation-Date: 2006-01-04 21:26+0100\n"
"PO-Revision-Date: 2006-08-06 00:30+0900\n"
"Last-Translator: Atsushi Shimono <shimono@gmail.com>\n"
"Language-Team: Japanese <debian-japanese@lists.debian.org>\n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=UTF-8\n"
"Content-Transfer-Encoding: 8bit\n"
#. Type: boolean
#. Description
#: ../gnumeric.templates:4
msgid "Are you sure you want to upgrade gnumeric right now?"
msgstr "gnumeric を今すぐ更新しますか ?"
#. Type: boolean
#. Description
#: ../gnumeric.templates:4
msgid ""
"It appears there is an instance of gnumeric running currently. If you "
"upgrade gnumeric now, that instance may not be able to save its data anymore."
msgstr ""
"実行中の gnumeric を検出しました。もし、gnumeric を今すぐ更新すると、"
"そのデータは一切保存できなくなります。"
#. Type: boolean
#. Description
#: ../gnumeric.templates:4
msgid ""
"You are strongly recommended to close the running instances of gnumeric "
"prior to upgrading this package."
msgstr ""
"このパッケージをアップグレードする前に、実行中の gnumeric を停止することを"
"強く推奨します。"
......@@ -177,7 +177,10 @@ install: build
rm -rf debian/tmp/usr/lib/bonobo
# libspreadsheet is far from a mature library; loose the development
# files
rm -f debian/tmp/usr/lib/libspreadsheet.la debian/tmp/usr/lib/libspreadsheet.so
rm -f debian/tmp/usr/lib/libspreadsheet*.la
rm -f debian/tmp/usr/lib/pkgconfig/libspreadsheet-*.pc
rm -rf debian/tmp/usr/include/libspreadsheet-*
# Outdated
rm -f debian/tmp/usr/share/mc/templates/gnumeric.desktop
......@@ -223,6 +226,8 @@ binary-indep: build install
dh_installdocs -i
dh_installexamples -i
dh_pycentral -i
#dh_python -i
dh_installmenu -i
# dh_installlogrotate -i
# dh_installemacsen -i
......@@ -255,6 +260,8 @@ binary-arch: build install
dh_installdocs -a --noscripts
rm -rf `pwd`/debian/gnumeric-doc/usr/share/doc-base
dh_installexamples -a
dh_pycentral -a
#dh_python -a
dh_installmenu -a
# dh_installlogrotate -a
# dh_installemacsen -a
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment